<!doctype html>
<html>
<head>
  <meta charset="utf-8">
  <title>Django Highcharts</title>
</head>
<body>
  <div id="container" data-extra_run="{{ dt }}">
  </div>

  <script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>
  <script>
      var con = document.querySelector("#container")
      var extra_runs =JSON.parse(con.dataset.extra_run)
      console.log(extra_runs)
   
Highcharts.chart('container', {
  chart: {
    type: 'column'
  },
  title: {
    text: 'Stacked column chart'
  },
  xAxis: {
    categories: extra_runs.data.map(object=>object.bowling_team)
  },
  yAxis: {
    min: 0,
    title: {
      text: 'Total fruit consumption'
    }
  },
  legend: {
    enabled: false
  },
  tooltip: {
    pointFormat: '<span style="color:{series.color}">{series.name}</span>: <b>{point.y}</b><br/>',
    shared: true
  },
  
  series: [{
    name: 'extra_runes',
    data: extra_runs.data.map(object=>object.sum)
  }]
});
  </script>
</body>
</html>